#include<stdio.h>

/*
------------------------------------------------------------------------------- 
Equacions de Lotka-Volterra (normalitzades)
-------------------------------------------------------------------------------
Dades: mu (Factor de creixement presa), beta (parametre beta), x (nombre
       inicial de preses), y (nombre inicial de depredadors), max (nombre
       de passos que vols calcular)
Resultats: Fitxer "lotka1.dat". Cada fila representa un instant de temps.
           La primer fila es l'ordinal del pas, la segona el nombre de 
           preses i la tercera el nombre de depredadors
Dades de prova: mu=2.0 beta=0.1 x=0.1 y=0.1 max=2 ==> 0, 0.1, 0.1;
                1, 0.16, 0.002; 2, 0.268160, 0.000064
Observacions: -
-------------------------------------------------------------------------------
*/

main()
{
int max,n;
float x,y,xn,yn,mu,beta;
FILE *arxiu;

printf("Introdueix un valor del parametre Rx: ");
scanf("%f",&mu);
printf("Introdueix un valor del parametre beta: ");
scanf("%f",&beta);
printf("Valor inicial presa: ");
scanf("%f",&x);
printf("Valor inicial depredador: ");
scanf("%f",&y);
printf("numero de passos: ");
scanf("%d",&max);
arxiu=fopen("lotka1.dat","w");
fprintf(arxiu,"%d %f %f\n",0,x,y);
for(n=1;n<=max;n++)
	{
	xn=mu*x*(1.0-x-y);
        yn=mu*beta*x*y;
	x=xn;
	y=yn;
	fprintf(arxiu,"%d %f %f\n",n,x,y);
	}
fclose(arxiu);
}



